-- 怪物攻城 声望排行榜
Lua_MonsterComeRankWindow  = class("Lua_MonsterComeRankWindow",Lua_ThirdSizeWindow);
function Lua_MonsterComeRankWindow:ctor(p)
	self:superCall("ctor", p);

	self.windowName = "Lua_MonsterComeRankWindow";
	self.skinName = "MonsterComeRankPlan_skin";
	self.titleText = "聲望排行";
	self.w = 910;
	self.h = 564;
end

function Lua_MonsterComeRankWindow:dispose()	
	if self.dragList ~= nil then
		self.dragList:dispose()
		self.dragList = nil;
	end
	self:superCall("dispose");
end

function Lua_MonsterComeRankWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.dragList = Lua_DragList.new(self.content, 1, Vector4(0, -26, 884, 362));
	self.dragList:setLocation(0, 0, 0);
	self.dragList:setListCell(MonsterComeRankItem, 68, 884, 1);
	self.dragList.canDrag = true;--设置按钮为可拖动
    self.dragList.content.gameObject.name = "MonsterComeRank_DragList";
	self.dragList.sub.gameObject.name = "Grid";
	
    Lua_ProxyManager.getProxy("Lua_MonsterComeProxy"):sMonsterComeRank(); -- 进入场景
	self:addLuaEvent("UPDATE_MONSTER_INFO", self, self.showUpgradeInfo);
end

function Lua_MonsterComeRankWindow:showUpgradeInfo()
	local rankList = DataCenter.monsterComeData.getAllRankInfo;

	self.playerRankTxt.text = DataCenter.monsterComeData.rank;
	self.playerNameTxt.text = DataCenter.monsterComeData.name;
	self.playerLvlTxt.text = DataCenter.monsterComeData.lvl;
	self.playerBossTxt.text = DataCenter.monsterComeData.boss_count;
	self.playerMonsterTxt.text = DataCenter.monsterComeData.monster_count;
	self.playerReputTxt.text = DataCenter.monsterComeData.value;
	
    self.dragList:setLuaArrayData(rankList, true);
end



















MonsterComeRankItem = class("MonsterComeRankItem", Lua_ListCell);
function MonsterComeRankItem:ctor(p)
	self:superCall("ctor", p,"MonsterComeRankItem_skin");
end

function MonsterComeRankItem:buildShowItem()
	self:superCall("buildShowItem");
end
function MonsterComeRankItem:setData(data)
	self.data = data;

	self.rankTxt.text = "";
	self.rank:setEnable(true);
	if data.rank == 1 then
		self.rank:setAltas("leaderBoard_atlas", "ui_paihang_widget_no1");
	elseif data.rank == 2 then
		self.rank:setAltas("leaderBoard_atlas", "ui_paihang_widget_no2");
	elseif data.rank == 3 then
		self.rank:setAltas("leaderBoard_atlas", "ui_paihang_widget_no3");
	else
		self.rank:setEnable(false);
		self.rankTxt.text = data.rank;
	end
	self.nameTxt.text = data.name;
	self.lvlTxt.text = data.lvl;
	self.bossTxt.text = data.boss_count;
	self.monsterTxt.text = data.monster_count;
	self.reputTxt.text = data.value;

end

function MonsterComeRankItem:dispose()
	self:superCall("dispose");
end